package com.ym.mec.web.dal.dao;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.web.dal.entity.ClassGroup;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClassGroupDao extends BaseDAO<Integer, ClassGroup> {


    /**
     * 查询老师乐团课课程
     * @param teacherId
     * @return
     */
    List<ClassGroup> findClassGroup4Teacher(@Param("teacherId") Integer teacherId);

    /**
     * 获取所有合奏班
     * @return
     */
    List<ClassGroup> findAllMixClassGroup(@Param("musicGroupId") Integer musicGroupId);

    /**
     * 根据合奏班ID查询该合奏班下的子班级
     * @param mixClassGroupId
     * @return
     */
    List<ClassGroup> findMixClassChildClassGroup(@Param("mixClassGroupId") Integer mixClassGroupId);

}