package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.StudentCourseHomeworkDao;
import com.ym.mec.web.dal.entity.StudentCourseHomework;
import com.ym.mec.web.service.StudentCourseHomeworkService;

@Service
public class StudentCourseHomeworkServiceImpl extends BaseServiceImpl<Long, StudentCourseHomework>  implements StudentCourseHomeworkService {
	
	@Autowired
	private StudentCourseHomeworkDao studentCourseHomeworkDao;

	@Override
	public BaseDAO<Long, StudentCourseHomework> getDAO() {
		return studentCourseHomeworkDao;
	}
	
}